<?php
include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
include_once( PLOG_CLASS_PATH."plugins/gallery/class/view/plugingalleryconfigview.class.php" );

/**
 * This class is responsible for processing the gallery plugin config action. 
 *
 * @version 0.1
 * @author Laurent Vauthrin
 */
class PluginGalleryConfigAction extends AdminAction 
{  
    /**
     * Constructor.
     *
     * @param $actionInfo The action information.
     * @param $request The HTTP request information.
     * @return Returns the value passed back by AdminAction.
     */
    function PluginGalleryConfigAction( $actionInfo, $request ) 
    {
        $this->AdminAction( $actionInfo, $request );
    }
 
    /**
     * This function performs the action.
     *
     * @param None.
     * @return Returns true
     */ 
    function perform() 
    {
        $this->_view = new PluginGalleryConfigView( $this->_blogInfo );
        $this->setCommonData();

        return true;
    }
}
?>
